Bug 1401414 - Review Request: python-neovim - Python client to Neovim
Summary: Review Request: python-neovim - Python client to Neovim
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1394789
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-05 08:00 UTC by Andreas Schneider
Modified: 2016-12-16 00:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-15 23:30:48 UTC
Type: ---
jhrozek: fedora-review+


Attachments (Terms of Use)

Description Andreas Schneider 2016-12-05 08:00:25 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python3-neovim/python3-neovim.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python3-neovim/python3-neovim-0.1.12-1.fc25.src.rpm
Description: Library for scripting Nvim processes through its msgpack-rpc API.
Fedora Account System Username: asn

Comment 1 Igor Gnatenko 2016-12-05 08:13:51 UTC
It should be python-neovim. For example, see python-aiohttp spec.

Comment 2 fszymanski 2016-12-05 09:50:41 UTC
In this case we should have python2 and python3 package.

Comment 3 Andreas Schneider 2016-12-05 14:44:59 UTC
Can you have two specs in one project? We could name the projects python-neovim and then just drop two spec files to build for python2 and python3.

Comment 4 fszymanski 2016-12-05 14:50:50 UTC
One spec file for python2 and python3.

Example:
https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 6 Andreas Schneider 2016-12-05 15:34:21 UTC
As the neovim requirements are already pretty high and I only plan to support rawhide and f25. I would prefer to only build for python3.

Comment 8 fszymanski 2016-12-05 18:44:45 UTC
Your spec file rewritten for python2 and python3:
https://fszymanski.fedorapeople.org/python-neovim.spec

A lot of Vim plugins only supports Python 2. It would be good to have both packages. I will gladly co-maintain this package with you if you need some help.

Comment 9 Andreas Schneider 2016-12-06 08:50:49 UTC
Co-maintaining is much appreciated.

Comment 11 Jakub Hrozek 2016-12-06 14:17:07 UTC
I think the package looks good, so I'm giving review+

For posterity, here is fedora-review output:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 36 files have unknown license. Detailed
     output of licensecheck in /home/remote/jhrozek/1401414-python-
     neovim/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[n/a]: Package contains desktop file if it is a GUI application.
[n/a]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[n/a]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[n/a]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[n/a]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[n/a]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-neovim , python3-neovim
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[n/a]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[n/a]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Rpmlint
-------
Checking: python2-neovim-0.1.12-2.fc26.noarch.rpm
          python3-neovim-0.1.12-2.fc26.noarch.rpm
          python-neovim-0.1.12-2.fc26.src.rpm
python2-neovim.noarch: W: spelling-error %description -l en_US msgpack -> mudpack
python2-neovim.noarch: W: spelling-error %description -l en_US rpc -> rec, rps, rpm
python3-neovim.noarch: W: spelling-error %description -l en_US msgpack -> mudpack
python3-neovim.noarch: W: spelling-error %description -l en_US rpc -> rec, rps, rpm
python-neovim.src: W: spelling-error %description -l en_US msgpack -> mudpack
python-neovim.src: W: spelling-error %description -l en_US rpc -> rec, rps, rpm
3 packages and 0 specfiles checked; 0 errors, 6 warnings.


Requires
--------
python2-neovim (rpmlib, GLIBC filtered):
    neovim
    python(abi)
    python2-greenlet
    python2-msgpack

python3-neovim (rpmlib, GLIBC filtered):
    neovim
    python(abi)
    python3-greenlet
    python3-msgpack


Provides
--------
python2-neovim:
    python-neovim
    python2-neovim
    python2.7dist(neovim)
    python2dist(neovim)

python3-neovim:
    python3-neovim
    python3.5dist(neovim)
    python3dist(neovim)


Source checksums
----------------
https://github.com/neovim/python-client/archive/0.1.12/python-client-0.1.12.tar.gz :
  CHECKSUM(SHA256) this package     : a0ec9d157d385d86c2a07f9f9daa20cc172160d1782bf9a40d8e9724a01026c1
  CHECKSUM(SHA256) upstream package : a0ec9d157d385d86c2a07f9f9daa20cc172160d1782bf9a40d8e9724a01026c1

Comment 12 Gwyn Ciesla 2016-12-06 18:53:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-neovim

Comment 13 Fedora Update System 2016-12-06 21:33:47 UTC
python-neovim-0.1.12-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-125fc45785

Comment 14 Fedora Update System 2016-12-08 04:54:59 UTC
python-neovim-0.1.12-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-125fc45785

Comment 15 Fedora Update System 2016-12-15 23:30:48 UTC
python-neovim-0.1.12-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-12-16 00:25:54 UTC
python-neovim-0.1.12-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.